VRSpace.org - Feature #103

OpenID Connect
01/28/2022 11:05 AM - Josip Almasi

Status: Rejected Start date: 02/01/2022

Priority: Normal Due date: 02/01/2022

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

instead of Oauth2. It's on top of oauth anyway but provides identity.

Related issues:

Follows Feature #26: oauth Closed 01/31/2022 01/31/2022

History

#1 - 01/28/2022 11:06 AM - Josip Almasi
- Subject changed from OpenlD to OpenlD Connect

#2 - 01/28/2022 11:08 AM - Josip Almasi
- Precedes Feature #26: oauth added

#3 - 01/28/2022 11:08 AM - Josip Almasi
- Precedes deleted (Feature #26: oauth)

#4 - 01/28/2022 11:08 AM - Josip Almasi

- Due date set to 02/01/2022

- Start date changed from 01/28/2022 to 02/01/2022
- Follows Feature #26: oauth added

#5 - 01/29/2022 02:48 PM - Josip Almasi

- Status changed from New to Rejected

This is waaaay too complicated.
It is actually responsibility of the auth client (vrspace server) to encrypt and maintain tokens.
Lack of clear examples, lack of support in spring, 3rd party libraries unsupported or vulnerable.
